Package Release Info

perl-Data-Dump-Streamer-2.40-bp154.1.27

Update Info: Base Release
Available in Package Hub : 15 SP4

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

perl-Data-Dump-Streamer
perl-Data-Dump-Streamer-debuginfo
perl-Data-Dump-Streamer-debugsource

Change Logs

Version: 2.40-bp150.2.4
* Wed Aug 31 2016 coolo@suse.com
- updated to 2.40
  see /usr/share/doc/packages/perl-Data-Dump-Streamer/Changes
  2.40
  Fixup issues with JSON and with non-Padwalker builds (thanks to FC)
  various other tweaks and cleanups to build on newer Perls. Updated
  meta files, etc.
* Mon Jan 18 2016 dimstar@opensuse.org
- Update to version 2.39:
  + No changelog available.
- Add perl(PadWalker) BuildRequires: needed to pass the test suite.
* Sat Jul 19 2014 coolo@suse.com
- updated to 2.38
  Only github log
* Mon Feb 10 2014 coolo@suse.com
- updated to 2.37
  Various changes. See github log for changes.
- fixes build in factory
* Fri Oct 04 2013 coolo@suse.com
- updated to 2.36
  Should work on 5.18 now.
- obsoleting rt_79127.diff and rt_82958.diff
* Wed Jun 26 2013 coolo@suse.com
- add rt_79127.diff and rt_82958.diff from rt.cpan.org
  to fix build with perl 5.18
* Mon Jun 10 2013 coolo@suse.com
- updated to 2.34
  Administrative release to eliminate build dependency on module
  used only for testing.
* Wed May 30 2012 coolo@suse.com
- updated to 2.33
  Caught up with various RT reports, and fixed a bunch of them.
  [RT#74198] fixed dumps containing read-only objects (obtained via JSON::XS)
  [RT#74198], Fixed stringification of code compiled under strict in later
  perls. Thanks to Father Chrysotomos for the patch and nudge.
  Also eliminated a false-fail prone test which was actually pretty useless,
  which should close several tickets which I wont bother to list.
  This release also is the first from the new git repository at
  https://github.com/demerphq/Data-Dump-Streamer
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Apr 05 2011 coolo@novell.com
- updated to 2.32
  Disable overloading in a <=5.8.8 safe way [RT #53700]
  2.31
  React to Strawberry perl $. strangeness [RT #58528]
  2.29
  Add .answer to .gitignore
  Update t/madness for perl-5.6
  Syntax fix print() for perl-5.6
  Correct ${^WARNING_BITS} in t/madness.t for perl-5.8.7 and earlier
  2.28
  Strip illegal regexp modifiers [RT #65355]
  Update file permissions
  2.27
  Test for new regexp /u flag [RT #65339]
  Import less private functions
  Removed obsolete svn version info
  2.26
  Keep a glob reference open while inspecting through it with B. [RT #65272]
  2.25 (2011-01-24)
  Oops, add ppport.h to the packaged distribution
  2.24 (2011-01-23)
  Fix weakref breakage from perl-5648c0a. [RT #62605]
  Add ppport.h
  Add .gitignore
  2.23 (2011-01-18)
  Fix DumpLex for bug #44621
* Thu Jul 15 2010 pascal.bleser@opensuse.org
- update to 2.22:
  * Build.PL fixed to accept DDS and NODDS again
* Mon Jun 21 2010 pascal.bleser@opensuse.org
- update to 2.21:
  * resynchronize internal VERSION declarations
- skipped v2.20 because it some of the build code was truncating it to v2.2 and breaking
- changes from 2.19:
  * tweak t/madness.t to deal with how perl-5.8.[0-8] deparses the pragma `use warnings' differently
* Sat Jun 12 2010 pascal.bleser@opensuse.org
- update to 2.18
* Tue May 11 2010 pascal.bleser@opensuse.org
- initial package (2.13)